Statistics
3022
5
2
10d
Badges
Dependencies

GPWebPay

Build Status Donwloads Latest stable Code coverage Documentation Status

GPWebPay is a Nette Add-On for GPWebPay HTTP API

If you does not use Nette you can use GPWebPay-core lib.

Requirements

Version PHP Nette support Maintained Note
3.2.x ^7.1 ^2.4 | ^3.0 Yes use GPWebPay-core ^2.0, BC breaks
3.1.x ^7.1 ^2.4 | ^3.0 No use GPWebPay-core ^1.0
3.0.x ^7.1 ^2.3 No
2.x ^5.6 ^2.3 No

Installation

The best way to install Pixidos/GPWebPay is using Composer:

$ composer require pixidos/gpwebpay

Documentation

Learn more in the documentation.

  • 3.2.0

  • 3.1.1 fix #18

  • 3.1.0 Nette 3.0 support

    Split this lib on two.
    The core: https://github.com/Pixidos/gpwebpay-core is now new pure php lib for GPWebPay

    this lib is now only Extension fo Nette

  • 3.0.2 v3.0.2

  • 3.0.1 Fix: wrong types for PRCODE and SRCODE

  • 2.2.0

    Constants for payment allow or disallow type: PAYMENT_<type>
    Add Interfaces

  • 2.1.3 2.1.3

    "numeric type" can be string

Is this addon outdated? Did you find an issue? Please report it.

Componette Componette admin@componette.com